> For the complete documentation index, see [llms.txt](https://docs.paradime.io/app-help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paradime.io/app-help/documentation/integrations/observability/elementary-data/generate-observability-report.md).

# Generate observability report

Elementary data observability reports provide visualization and exploration of data from the dbt™ package tables. This includes dbt test results, Elementary anomaly detection results, dbt artifacts, test runs, and more.

## Generate report <a href="#generate-tests-report-ui" id="generate-tests-report-ui"></a>

To generate the Elementary report, execute the `edr report` command:

```shell
edr report
```

This command uses the provided connection profile to access the data warehouse, read from the Elementary tables, and generate the report as an HTML file.

### Filtering Reports

Elementary supports filtering the report by invocation during generation. The filtered report will only include data for the selected invocation (This applies only to the `Test Results` and `Lineage` screens).

There are three ways to filter the report by invocation:

1. **Last invocation -** Filter by the last invocation (`dbt test` / `dbt build`) that ran.

```bash
edr report --select last_invocation
```

2. **Invocation time**: Filter by the closest invocation to the provided time (in ISO format local time).

```bash
edr report --select "invocation_time:2022-12-25 10:10:35"
```

3. **Invocation id**: Filter by the provided invocation id.

```bash
edr report --select invocation_id:XXXXXXXXXXXXX
```

## Development report

After running `edr report` in the Paradime terminal, HTML and JSON files will be generated and saved in a folder called `edr_target` in your dbt™️ project.

To preview the report, use the following command in the terminal:

```bash
paradime serve
```

{% @arcade/embed url="<https://app.arcade.software/share/wYrFTZ8WsT5DKQqzVfMJ>" flowId="wYrFTZ8WsT5DKQqzVfMJ" %}

{% hint style="info" %}
When done serving the Elementary Data observability report, use `Ctrl+C` to interrupt the process in the terminal.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.paradime.io/app-help/documentation/integrations/observability/elementary-data/generate-observability-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
